/** @file
===========================================================================
MODULE          : StatusInterface

DESCRIPTIONS    : 

REVISION HISTORY: Version 1.0

COPYRIGHT       : (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS	: The information/data/code contained within this file is 
				  the property of CSIR, Meraka Institute and has been 
				  classified as PUBLIC.
===========================================================================
*/
#pragma once

//This file needs to be included - else we get a linker error for the GUID
#include <INITGUID.H>

#include <Windows.h>
#include <string>
#include <streams.h>

//Smart Pointers
DEFINE_GUID( IID_IStatusInterface, /* 60178ec0-c670-11d0-837a-0000f80220b9 */
			0x8bd6af85, 
			0xd262, 
			0x4dbe, 
			0xb2, 0x53, 0xfa, 0x8, 0xb4, 0xe3, 0x12, 0x5b
			);

#undef  INTERFACE
#define INTERFACE   IStatusInterface
DECLARE_INTERFACE_( IStatusInterface, IUnknown )
{
	// *** methods ***
	STDMETHOD(GetLastError)( std::string& sError ) = 0;
	STDMETHOD(SetLastError)( std::string sError, bool bNotifyApplication) = 0;
	STDMETHOD(SetMediaEventSink) (IMediaEventSink* pEventSink) = 0;
	//We need an id for when we perform a callback
	STDMETHOD(SetFriendlyID) ( long lId) = 0;
	STDMETHOD(GetFriendlyID) ( long& lId) = 0;
};
