/** @file

MODULE				: RealRGB24toYUV420Converter

TAG					: RRGB24YUVC

FILE NAME			: RealRGB24toYUV420Converter.h

DESCRIPTION			: Double precision floating point RGB 24 bit to YUV420 colour 
					  convertion derived from the RGBtoYUV420Converter base class.
					  Use this implementation as the reference.

REVISION HISTORY	:
					
COPYRIGHT			: (c)CSIR, Meraka Institute 2007 all rights reserved

RESTRICTIONS		: The information/data/code contained within this file is 
the property of CSIR, Meraka Institute and has been 
classified as PUBLIC.
===========================================================================
*/
#ifndef _REALRGB24TOYUV420CONVERTER_H
#define _REALRGB24TOYUV420CONVERTER_H

#pragma once

#include "RGBtoYUV420Converter.h"

/*
===========================================================================
  Class definition.
===========================================================================
*/
class RealRGB24toYUV420Converter: public RGBtoYUV420Converter
{
public:
	// Construction and destruction.
	RealRGB24toYUV420Converter(void) { }
	RealRGB24toYUV420Converter(int width, int height): RGBtoYUV420Converter(width,height) { }
	virtual ~RealRGB24toYUV420Converter(void) {}

	// Interface.
	void Convert(void* pRgb, void* pY, void* pU, void* pV);

};//end _REALRGB24TOYUV420CONVERTER_H.


#endif
